Package org.spongepowered.asm.mixin.transformer.ext

## Interface IHotSwap

    public interface IHotSwap

Interface to allow the hot-swap agent to be loaded on-demand

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `registerMixinClass​(java.lang.String name)` Registers a mixin class with the agent.
`void` `registerTargetClass​(java.lang.String name, org.objectweb.asm.tree.ClassNode classNode)` Registers a class targeted by at least one mixin.

### Method Detail

#### registerMixinClass

    void registerMixinClass​(java.lang.String name)

Registers a mixin class with the agent.

This is needed as the mixin needs to be loaded to be redefined.

Parameters:
  `name` - Fully qualified name of the mixin class

#### registerTargetClass

    void registerTargetClass​(java.lang.String name,
                             org.objectweb.asm.tree.ClassNode classNode)

Registers a class targeted by at least one mixin.

This is used to rollback the target class to a state before the mixins were applied.

Parameters:
  `name` - Name of the class
  `classNode` - ASM tree of the class before mixins have been applied